# Plan recurring content

`POST /workspace/content/plans` · Rivier · content

Plan recurring content.

- Scope: content:write
- Graphql: Mutation.contentPlanCreate
- Sdk: content.plan.create
- Cli: content plan create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "topic": {
      "type": "string",
      "maxLength": 2000
    },
    "channels": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "linkedin",
          "facebook",
          "instagram",
          "x",
          "tiktok",
          "threads",
          "mastodon",
          "discord",
          "telegram",
          "youtube",
          "snapchat",
          "medium"
        ]
      },
      "minItems": 1,
      "maxItems": 7
    },
    "agentId": {
      "anyOf": [
        {
          "type": "string",
          "format": "uuid"
        },
        {
          "type": "null"
        }
      ]
    },
    "days": {
      "type": "array",
      "items": {
        "type": "integer",
        "minimum": 0,
        "maximum": 6
      },
      "maxItems": 7
    },
    "atHour": {
      "type": "integer",
      "minimum": 0,
      "maximum": 23
    },
    "atMinute": {
      "type": "integer",
      "minimum": 0,
      "maximum": 59
    },
    "timezone": {
      "type": "string",
      "maxLength": 64
    },
    "autopublish": {
      "type": "boolean"
    }
  },
  "required": [
    "name",
    "channels"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/content/plans' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "channels": [
    "linkedin"
  ]
}'
```
